Package org.springframework.security.config.core.userdetails

# Class UserDetailsMapFactoryBean

java.lang.Object
org.springframework.security.config.core.userdetails.UserDetailsMapFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<Collection<org.springframework.security.core.userdetails.UserDetails>>`

public class UserDetailsMapFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<Collection<org.springframework.security.core.userdetails.UserDetails>>
Creates a `Collection<UserDetails>` from a @{code Map} in the format of

`username=password[,enabled|disabled],roles...`

The enabled and disabled properties are optional with enabled being the default. For example:

`user=password,ROLE_USER admin=secret,ROLE_USER,ROLE_ADMIN disabled_user=does_not_matter,disabled,ROLE_USER`

Since:
  5.0

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`UserDetailsMapFactoryBean(Map<String,String> userProperties)`

## Method Summary

Modifier and Type
Method
Description
`Collection<org.springframework.security.core.userdetails.UserDetails>`
`getObject()`
`Class<?>`
`getObjectType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Constructor Details

### UserDetailsMapFactoryBean

public UserDetailsMapFactoryBean(Map<String,String> userProperties)

## Method Details

### getObject

public Collection<org.springframework.security.core.userdetails.UserDetails> getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<Collection<org.springframework.security.core.userdetails.UserDetails>>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Collection<org.springframework.security.core.userdetails.UserDetails>>`